Subject: Re: [PATCH (repost) net-next] sched: add extack for tfilter_notify

From: Jakub Kicinski <[email-masked]>
Date: Wed, 9 Nov 2022 18:20:53 -0800

On Wed, 9 Nov 2022 20:52:37 -0500 Jamal Hadi Salim wrote:
> TCA_XXX are local whereas NLMSGERR_ATTR_MSG global to the
> netlink message. 

"Global", but they necessitate complicating the entire protocol 
to use directly.

Unless we want to create a separate netlink multicast channel for 
just ext acks of a family. That's fine by me, I guess. I'm mostly
objecting to pretending notifications are multi-msg just to reuse
NLMSG_DONE, and forcing all notification listeners to deal with it.

> Does this mean to replicate TCA_NTF_EXT_ACK
> for all objects when needed? (qdiscs, actions, etc).

The more time we spend discussing this the more I'm inclined to say
"this is a typical tracing use case, just use the tracepoint" :(